# which hat are we building for?
# legal values are:
#   pidora
#   fedora
#   rhel
%define hat fedora

Summary: Planet CCRMA repository configuration
Name: planetccrma-repo
Version: 1.1
Release: 3%{?dist}
License: GPL
Group: System Environment/Base
Source0: GPL
Source1: RPM-GPG-KEY-planetccrma
# fedora
Source2: planetccrma.repo.fc7
Source3: planetccrma.repo
Source4: planetccrma-testing.repo
# rhel
Source5: planetccrma.repo.rhel
Source6: planetccrma-testing.repo.rhel
# pidora
Source7: planetccrma.repo.pidora
Source8: planetccrma-testing.repo.pidora

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

%description
This package contains yum configuration information to use the
Planet CCRMA provided rpm packages, as well as the public gpg key used
to sign them.

%package testing
Summary: Planet CCRMA testing repository configuration
Group: System Environment/Base
# any version will do
Requires: planetccrma-repo

%description testing
This package contains yum configuration information to use the Planet
CCRMA Testing rpm packages, as well as the public gpg key used to sign
them.

%prep

%build

%install
%{__rm} -rf %{buildroot}
# Install license to be included in the docs and gpg key as pubkey
%{__cp} -a %{SOURCE0} %{SOURCE1} .
# Install gpg public key
%{__install} -D -p -m 0644 %{SOURCE1} \
    %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-planetccrma
# Install yum repo file
%if 0%{?rhel} >= 5
# we are on centos
PLANETREPO=%{SOURCE5}
PLANETTESTING=%{SOURCE6}
%else
%if %{hat} == "pidora"
# we are on pidora
PLANETREPO=%{SOURCE7}
PLANETTESTING=%{SOURCE8}
%else
# we are on fedora
%if 0%{?fedora} >= 7
PLANETREPO=%{SOURCE2}
%else
PLANETREPO=%{SOURCE3}
%endif
PLANETTESTING=%{SOURCE4}
%endif
%endif

%{__install} -D -p -m 0644 ${PLANETREPO} \
    %{buildroot}%{_sysconfdir}/yum.repos.d/planetccrma.repo
# Install yum testing repo file
%{__install} -D -p -m 0644 ${PLANETTESTING} \
    %{buildroot}%{_sysconfdir}/yum.repos.d/planetccrma-testing.repo

%clean
%{__rm} -rf %{buildroot}

%post
# Import Planet CCRMA gpg key if needed
rpm -q gpg-pubkey-gpg-pubkey-68d9802a-406db022 >/dev/null 2>&1 || \
    rpm --import %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-planetccrma
# We don't want a possible error to leave the previous package installed
exit 0

%files
%defattr(-, root, root, 0755)
%doc GPL
%pubkey RPM-GPG-KEY-planetccrma
%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-planetccrma
%config(noreplace) %{_sysconfdir}/yum.repos.d/planetccrma.repo

%files testing
%defattr(-, root, root, 0755)
%config(noreplace) %{_sysconfdir}/yum.repos.d/planetccrma-testing.repo

%changelog
* Fri Sep 13 2013 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.1-3
- add support for pidora arm targets

* Wed Jun  1 2011 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.1-3
- removed Fedora release and update mirrors from planetccrma.repo for
  Fedora 15 build

* Mon Mar 10 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.1-2
- the rhel != "" conditional was triggering on fedora 9... changed to
  rhel >= 5

* Mon Mar 10 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.1-1
- added centos repositories

* Fri Feb  8 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- moved %%{SOURCE} conditionals to the %%install phase, otherwise it
  does not work properly on plague for multiple builds

* Fri Feb  8 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.1-1
- added planetccrma-testing and planetcore-testing repositories, new
  planetccrma-repo-testing subpackage created

* Wed Apr 19 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0-2
- include pointers to the fedora gpg keys

* Tue Apr 11 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0-1
- initial build, inspired in freshrpms release package, we don't 
  want to use the planetccrma-release package name as that one is
  reserved for building a proper Planet CCRMA distribution DVD

